@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900&display=swap');
*
{   
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 125vh;
    background: gainsboro;

}



.container
{
    position: relative;
    width: 500px;

}
.container h2
{
    color: #fff;

}
.container .skills
{
    position: relative;
    display: flex;
    margin: 20px 0;
    padding: 24px 10px 18px;
    background: linear-gradient(#616161 0%, #333 10%, #222);
    border-radius: 8px;
    overflow: hidden;
    border: 2px solid #000;
    transition: 0.5s;
}
.container:hover .skills
{
    opacity: 0.05;
}
.container .skills:hover
{
    opacity: 1;
    transform: scale(1.1);
}

.container .skills:before
{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: rgba(255,255,255,.1);
    z-index: 10;
}
.container .skills .Name
{
    position: relative;
    width: 110px;
    text-align: right;
    color: #fff;
    margin-top: -2px;
    text-transform: uppercase;
}
.container .skills .Value
{
    position: relative;
    width: 110px;
    text-align: left;
    color: #fff;
    margin-top: -2px;
    text-transform: uppercase;
}
.container .skills .percent
{
    position: relative;
    width: calc(100% - 150px);
    height: 20px;
    margin: 0 10px;
    border-radius: 10px;
    background: #151515;
    box-shadow: inset 0 0 10px #000;
    overflow: hidden;

}
.container .skills .percent .progress
{
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 100%;
    border-radius: 10px;
    background: #fff;
    box-shadow: inset 0 0 2px #000;
    animation: animate 4s ease-in-out forwards;
}
@keyframes animate
{
    from
    {
        width: 0;
    
    }
}

.container .skills:nth-child(2) .percent .progress
{
    background: linear-gradient(45deg, #1f36ff, #673AB7);
}
.container .skills:nth-child(3) .percent .progress
{
    background: linear-gradient(45deg, #3bc0ff, #33ff00);
}
.container .skills:nth-child(4) .percent .progress
{
    background: linear-gradient(45deg, #ffee54, #ff00ca);
}
.container .skills:nth-child(5) .percent .progress
{
    background: linear-gradient(45deg, #22ffde, #2196F3);
}
.container .skills:nth-child(6) .percent .progress
{
    background: linear-gradient(45deg, #e80c0c, #dde00b);
}
.container .skills:nth-child(7) .percent .progress
{
    background: linear-gradient(45deg, #cffc03, #31fc03);
}
.container .skills:nth-child(8) .percent .progress
{
    background: linear-gradient(45deg, #a503fc, #fc03a5);
}


header
{
    position: fixed;
    top:0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: 0.6s;
    padding: 40px 100px;
    z-index: 100000;
}

header .logo
{
    position: relative;
    font-weight: 700;
    color: #fff;
    text-decoration: none;
    font-size: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: 0.6s;
}
header ul
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
header ul li
{
    position: relative;
    list-style: none;
}
header ul li a
{
    position:relative;
    margin: 0 15px;
    text-decoration: none;
    color: #fff;
    letter-spacing: 2px;
    font-weight: 500px;
    transition: 0.6s
}
header.sticky .logo,
header.sticky ul li a 
{
    color: #000
}
header.sticky
{
    padding: 5px 100px;
    background: #fff;
}

section
{
    position: relative;
    width: 100%;
    height: 0%;
    background: gainsboro;
}

section .text
{
    color: gainsboro;
}

